<template>
  <div
    class="data-box min-w-2xl m-6 p-6 text-center rounded-2xl border border-solid border-white lg:min-w-xl xl:min-w-2xl"
  >
    <component :is="iconComp" class="h-20 w-20 mx-auto fill-current text-white" />
    <p class="h4 mt-6 text-white">{{ data_value }}</p>
    <p class="subtitle mt-2 text-white uppercase">{{ data_key }}</p>
  </div>
</template>

<script>
import path from 'path';

export default {
  name: 'DataBox',
  props: {
    icon: String,
    data_key: String,
    data_value: String,
  },
  computed: {
    iconComp() {
      const iconFile = path.basename(this.icon);
      return () => import(
        /* webpackInclude: /-icon\.svg$/ */
        `../../../static/media/${iconFile}`
      );
    },
  },
};
</script>
